--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Replace the Resources within the 1:m Collection
- !ruby/struct:SM::Flow::P 
  body: "@param [Enumerable] other"
- !ruby/struct:SM::Flow::VERB 
  body: "  List of other Resources to replace with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Collection]"
- !ruby/struct:SM::Flow::VERB 
  body: "  self\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Associations::OneToMany::Collection#replace
is_singleton: false
name: replace
params: (*)
visibility: public
